#ifndef AOCPP_STARTUP_HPP_
#define AOCPP_STARTUP_HPP_

/// @file Startup.hpp

#include <fstream>
#include <iostream>
#include <memory>
#include <optional>

namespace aocpp {

/// @brief Return the selected input stream or run the test suite
/// @param argc Number of arguments
/// @param argv Command line arguments
auto Startup(int argc, char ** argv) -> std::unique_ptr<std::istream, void(*)(std::istream*)>;

}

auto Main(std::istream & in) -> void;

#endif
